Loading...
Searching...
No Matches
detail::json_ref< BasicJsonType > Class Template Reference

## Public Types

using | value_type = BasicJsonType

## Public Member Functions

| json_ref (value_type &&value)
| json_ref (const value_type &value)
| json_ref (std::initializer_list< json_ref > init)
template<class... Args, enable_if_t< std::is_constructible< value_type, Args... >::value, int > = 0>
| json_ref (Args &&... args)
| json_ref (json_ref &&) noexcept=default
| json_ref (const json_ref &)=delete
json_ref & | operator= (const json_ref &)=delete
json_ref & | operator= (json_ref &&)=delete
value_type | moved_or_copied () const
value_type const & | operator* () const
value_type const * | operator-> () const

The documentation for this class was generated from the following file:

- IO/nlohmann/json.hpp